# ProgramObject File Reference

`#include <osg/State>`
`#include <osg/StateAttribute>`
`#include <osg/buffered_value>`
`#include <osg/ref_ptr>`
`#include <osg/Vec2>`
`#include <osg/Vec3>`
`#include <osg/Vec4>`
`#include <osgGL2/Export>`
`#include <osgGL2/Extensions>`
`#include <osgGL2/UniformValue>`
`#include <string>`
`#include <vector>`

Include dependency graph for ProgramObject:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | osgGL2

## Defines

#define | OSGGL2_PROGRAMOBJECT 1

## Variables

typedef osg::ref_ptr< ProgramObject > | ProgramObjectPtr
typedef osg::ref_ptr< ShaderObject > | ShaderObjectPtr

## Define Documentation

#define OSGGL2_PROGRAMOBJECT 1

## Variable Documentation

class typedef osg::ref_ptr<ProgramObject> osgGL2::ProgramObjectPtr

class typedef osg::ref_ptr<ShaderObject> osgGL2::ShaderObjectPtr